scala.util.parsing.combinator1.Parsers
class Failure

[source: `scala/util/parsing/combinator1/Parsers.scala`]

`case` `class` Failure(`val override` msg : java.lang.String, `val override` next : Reader)
  `extends` NoSuccess `with` Product

  The failure case of ParseResult: contains an error-message and the remaining input. Parsing will back-track when a failure occurs.

Parameters
  `msg -` An error message string describing the failure.
  `next -` The parser's unconsumed input at the point where the failure occurred.

Values and Variables inherited from NoSuccess
successful

Method Summary
`override def` | equals (arg0 : Any) : Boolean
`override def` | hashCode : Int
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : java.lang.String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`override def` | toString : java.lang.String The toString method of a Failure yields an error message

Methods inherited from Product
element, arity

Methods inherited from NoSuccess
map, mapPartial, get

Methods inherited from ParseResult
isEmpty, getOrElse

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` toString : java.lang.String

  The toString method of a Failure yields an error message

`override` `def` hashCode : Int

`override` `def` equals(arg0 : Any) : Boolean

`override final` `def` productPrefix : java.lang.String

  By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.

Overrides
  Product.productPrefix

`override final` `def` productArity : Int

  return k for a product `A(x_1,...,x_k))`

Overrides
  Product.productArity

`override final` `def` productElement(arg0 : Int) : Any

  for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`

Parameters
  `n -` the position of the n-th element
Throws
  `IndexOutOfBoundsException -`
Returns
  ...

Overrides
  Product.productElement